> For the complete documentation index, see [llms.txt](https://developers.airship.co.uk/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.airship.co.uk/basics/contacts/append-other-pops.md).

# Append other PoPs

### **Overview**

Where a guest has visited a venue and there is a digital footprint which doesn't neatly fit into any of our pre-existing native categories (e.g. table booking, purchase history, loyalty interaction, voucher redemption, WiFi login, ticket), we also have the option to store a Proof of Presence (PoP) without full context.

Having this "PoP" data stored historically is useful to measure and target guests based on recency and frequency.

To store a PoP, add a `pops` object as you write a contact record.

```javascript
"account_id": 3,
"email: "johnsmith@gmail.com",
//...etc...

"pops" : [
      {
         "unit_id"  : 123, // where the PoP happened
         "type_id"  : 2 // Member check-in, feedback submission etc
         "datetime" : "2021-06-01 00:00:00" // When the pop happened
      }
]

```

#### PoP Types

To retrieve a list of `pop_type_ids` you can call the `/pop/types` endpoint.

{% hint style="warning" %}
Note that storing a PoP is not a substitute for sending a full record of an interaction in scenarios where we have full native storage fields. For example: Bookings, WiFi, Purchase History, Loyalty, Voucher Redemptions and Tickets. You should always use our native storage where we have an appropriate category.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.airship.co.uk/basics/contacts/append-other-pops.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
